Skip to content

Retrieve an internal article

Request

You can fetch the details of a single internal article by making a GET request to https://api.intercom.io/internal_articles/<id>.

Security
bearerAuth
Path
internal_article_idintegerrequired

The unique identifier for the article which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  https://api.intercom.io/internal_articles/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Internal article found

Bodyapplication/json
typestring

The type of object - internal_article.

Default:"internal_article"
Value:"internal_article"
Example:"internal_article"
idstring

The unique identifier for the article which is given by Intercom.

Example:"6871119"
titlestring

The title of the article.

bodystring or null

The body of the article in HTML.

Example:"Default language body in html"
body_markdownstring or null

The body of the article in markdown.

Example:"# Internal Guide\n\nBody of the article in markdown\n"
owner_idinteger

The id of the owner of the article.

Example:"5017691"
author_idinteger

The id of the author of the article.

Example:"5017691"
created_atinteger, (date-time)

The time when the article was created.

Example:1672928359
updated_atinteger, (date-time)

The time when the article was last updated.

Example:1672928610
localestring

The default locale of the article.

audience_idsArray of integers or null

The list of audience IDs this internal article is targeted to for Fin AI Agent. Empty array means no audience targeting is set.

Example:
[ 1, 2 ]
ai_chatbot_availabilityboolean

Whether the internal article is available for AI Chatbot (Fin).

Example:true
ai_copilot_availabilityboolean

Whether the internal article is available for AI Copilot.

Example:true
ai_sales_agent_availabilityboolean

Whether the internal article is available for AI Sales Agent.

Example:true
Response
{ "id": "45", "body": "Body of the Article", "owner_id": 991266252, "author_id": 991266252, "locale": "en" }